﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace SfDataGridSample
{
    public class ViewModel : NotificationObject
    {
        public ICommand DeleteRecordCommand { private set; get; }
        


        OrderInfoRepository order;
        

        public ViewModel()
        {
            SetRowstoGenerate(100);
            DeleteRecordCommand = new Command(DeleteCommand);
        }
        

        
        public void DeleteCommand(object a)
        {
           
        }

        private void ViewModel_GridTapped(object sender, GridTappedEventArgs e)
        {
            ordersInfo.RemoveAt(e.RowColumnIndex.RowIndex);
        }

        #region ItemsSource

        private ObservableCollection<OrderInfo> ordersInfo;
        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get
            {
                return ordersInfo;
            }
            set
            {
                this.ordersInfo = value;
            }
        }

        #endregion

        #region ItemSource Generator

        public void SetRowstoGenerate(int count)
        {
            order = new OrderInfoRepository();
            ordersInfo = order.GetOrderDetails(count);
        }

        #endregion
    }

    public class NotificationObject : INotifyPropertyChanged
    {
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
